INSERT INTO NRIGHTS (PRAVICA, KOMENTAR, KOMENTAR_TUJ, INTERNI_OPIS) 
VALUES 
('DAVEK', 'Change VAT', 'Change VAT', 'Change VAT');

DROP VIEW V_RACUN;

CREATE VIEW V_RACUN AS 
SELECT S.ID_SALDKONT AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, S.ZA_PLACILO AS IZNOS, 
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, 2 AS VERZIJA
FROM SALDKONT_FISC S
JOIN SALDKONT R ON S.ID_SALDKONT=R.ID_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
WHERE R.VRSTA_RACUNA IN ('RAC', 'AKO') AND S.ID_SALDKONT_ZAP IS NULL
UNION
SELECT 0 AS ID_RACUN, S.ID_SALDKONT_FISC, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, S.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
S.STEVILKA AS BROJ_RACUNA, 
S.NSTEVILKA AS NBROJ_RACUNA, S.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, S.ZA_PLACILO AS IZNOS, 
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
S.GOVERNMENT AS GOVERMENT, S.GOVERNMENT_CODE AS GOVERMENT_CODE, S.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA, 2 AS VERZIJA
FROM SALDKONT_FISC S
JOIN SALDKONT_ZAP Z ON S.ID_SALDKONT_ZAP=S.ID_SALDKONT_ZAP
JOIN SALDKONT R ON R.ID_SALDKONT=Z.ID_PL_SALDKONT 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=S.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
WHERE R.VRSTA_RACUNA IN ('AKO')
;

DROP VIEW V_RACUN_PNP;

CREATE VIEW V_RACUN_PNP AS
SELECT SA.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE) AS OSNOVICA, SUM(D.ZNESEK_DAVKA) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN SALDKONT SA ON SF.ID_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE 
WHERE D.VRSTA='PNP'
GROUP BY SA.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
UNION
SELECT SA.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE*(-1)) AS OSNOVICA, SUM(D.ZNESEK_DAVKA*(-1)) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE 
WHERE D.VRSTA='PNP'
GROUP BY SA.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
;

DROP VIEW V_RACUN_PDV;

CREATE VIEW V_RACUN_PDV AS
SELECT ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA, SUM(OSNOVICA) AS OSNOVICA, SUM(POREZ_IZNOS) AS POREZ_IZNOS FROM
(
SELECT  SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE) AS OSNOVICA, SUM(D.ZNESEK_DAVKA) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA AS POREZ_STOPA, SUM(R.NETO) AS OSNOVICA, SUM(R.ZN_DAVKA) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE 
WHERE D.ID_STORITVE IS NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA
union
SELECT SA.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE*(-1)) AS OSNOVICA, SUM(D.ZNESEK_DAVKA*(-1)) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL
GROUP BY SA.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
union
SELECT SA.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA AS POREZ_STOPA, SUM(R.NETO*(-1)) AS OSNOVICA, SUM(R.ZN_DAVKA*(-1)) AS POREZ_IZNOS 
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE 
WHERE D.ID_STORITVE IS NULL
GROUP BY SA.ID_SALDKONT, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA
) DDV
GROUP BY ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA
;

DELETE FROM SIFKONT WHERE OZNAKA IS NULL;

ALTER TABLE FISCALLOG ADD ID_SALDKONT_FISC NUMBER;

UPDATE RACUN_DATA
SET NETO=CENABD
WHERE NETO IS NULL AND ID_SALDKONT IN (SELECT ID_SALDKONT FROM SALDKONT WHERE DATUM>='01.01.2013' AND VRSTA_RACUNA IN ('AKO', 'AKF'))
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (283, SYSDATE, '5.5', 203, 'Fiskalizacija ver 2');